import { MappingParams, PluginParams } from '../types';
/**
 * Maps input data if the mapping has valid data.
 */
export declare const mapInputIfNeeded: (input: PluginParams, mapping: MappingParams) => PluginParams;
/**
 * Removes input parameters based on a provided mapping.
 */
export declare const removeMappedInputParameter: (input: PluginParams, mapping: MappingParams) => PluginParams;
/**
 * Maps config data if the mapping hass valid data.
 */
export declare const mapConfigIfNeeded: (config: any, mapping: MappingParams) => any;
/**
 * Maps the output parameter of the plugin if the `mapping` parameter is provided.
 */
export declare const mapOutputIfNeeded: (output: PluginParams, mapping: MappingParams) => PluginParams;
